Exception Class Reference

The class Exception and its subclasses indicate conditions that a reasonable application might want to catch. More...

Inheritance diagram for Exception:

## Public Member Functions

| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

The class Exception and its subclasses indicate conditions that a reasonable application might want to catch.

## Constructor & Destructor Documentation

## Exception() [1/3]

Exception | ( | const char * | msg | ) |

## Exception() [2/3]

Exception | ( | const LogString & | msg | ) |

## Exception() [3/3]

Exception | ( | const Exception & | src | ) |

## Member Function Documentation

## operator=()

Exception& operator= | ( | const Exception & | src | ) |

## what()

const char* what | ( |  | ) | const
throw | ( |
| ) |  |

The documentation for this class was generated from the following file:

- exception.h